#ifndef BUCH_H
#define BUCH_H

#include "Medium.h"

class Buch : public Medium
{
public:
    Buch();

private:
    // wir berschreiben die
    // Methode der Basisklasse
    // um auch die ISBN Nummer
    // auszugeben.
    virtual void zusatzAusgabe();
    // abgeleitete Klassen
    // sollten diese Methode
    // berschreiben um zustzliche
    // Daten aus der Datei zu lesen
    virtual void zusatzLaden(std::ifstream& in);
    // berschreibe diese Methode
    // in der abgeleiteten Klasse
    // um zustzliche Daten vom
    // Benutzer definieren zu lassen
    virtual void definiereZusaetzlicheDaten();
    // jede abgeleitete Klasse muss
    // den richtigen Medientyp in die
    // Datei schreiben, damit das
    // richtige Medium erzeugt wird.
    virtual void medienTypSpeichern(std::ofstream& out)
    {
        out << "Buch" << Trennzeichen;
    }
    virtual void medienTypAusgabe()
    {
        std::cout << "Buch" << "\t";
    }
    virtual void mediumTypAlsHtml(HtmlTag& tag)
    {
        HtmlTag zelle("td");
        zelle << "Buch";
        tag << zelle;
    }
    // berschreiben diese Methode
    // in einer abgeleiteten Klasse
    // um zustzliche Daten in eine
    // Datei zu speichern.
    virtual void zusatzSpeichern(std::ofstream& out);

    virtual void zusatzAlsHtml(HtmlTag& tag);

private:
    std::string _isbn;
};


#endif